Subject: mail_fetch_structure for many messages at once?

From: Vadim Zeitlin <[email-masked]>
Date: Sun, 22 Jul 2001 03:59:06 +0200 (Romance Daylight Time)

Hello,

 I have inherited the following code which gets the header info for some
messages:

   ... build the right sequence string ...
   mail_uid_sequence(stream, sequence);
   for ( MsgnoType i = msgnoFrom; i <= msgnoTo; i++ )
   {
      MESSAGECACHE *elt = mail_elt(stream, i);
      if ( !elt->sequence )
      {
         continue;
      }

      ENVELOPE *env = mail_fetch_structure(stream, i, NIL, NIL);
      if ( !env )
      {
         FAIL( "failed to get sequence element envelope?" );

         continue;
      }

      ... do something with header info ...
   }

It works fine but the problem with it is that it sends one FETCH command to
the (IMAP) server per each message. Is there any way to tell c-client to
send one "FETCH sequence"? Note that I can't use mail_fetch_overview() here
because I need more headers than OVERVIEW struct has. So is there a more
efficient (in terms of minimizing the bandwidth) way to do it?

 Thank you,
VZ

-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------